Users
Authorization
bearerAuth AuthorizationBearer <token>
API key sent as Authorization: Bearer <API_KEY>.
In: header
Path Parameters
id*string
The ID of the user to retrieve
Header Parameters
X-API-KEY*string
The API key used to authenticate the request
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.getventia.com/api/v1.0/users/string" \ -H "X-API-KEY: string"{
"_id": "64b7654c3f3ae9b9d1e7c5d8",
"name": "John",
"lastname": "Doe",
"email": "john.doe@example.com",
"phone_work": "+1234567890",
"firstLogin": "2024-01-01T12:00:00Z",
"group": "64b7654c3f3ae9b9d1e7c5d7",
"roles": [
"user",
"super"
]
}{
"error": "Invalid user id"
}{
"error": "Invalid API KEY Group"
}{
"error": "User not found"
}Empty